ttdt_file_event(library call)

NAME
ttdt_file_event — use ToolTalk to announce an event about a file

SYNOPSIS

#include &<Tt/tttk.h>
Tt_status ttdt_file_event(
Tt_message context,
Tttk_op event,
Tt_pattern *patterns,
int send);

DESCRIPTION

The ttdt_file_event function is used to create and send a ToolTalk notice announcing an event pertaining to a file. The file is indicated by the pathname argument that was passed to ttdt_file_join(3) when patterns was created.

The event argument identifies the event. If event is TTDT_MODIFIED, ttdt_file_event registers in the the_scope argument passed to ttdt_file_join(3) to handle Get_Modified, Save, and Revert requests. Get_Modified is handled transparently by associating the modified state of the file with patterns. Save and Revert requests are passed to the Ttdt_file_cb that was given to ttdt_file_join(3). If send is True, ttdt_file_event sends Modified in the_scope. If event is TTDT_SAVED or TTDT_REVERTED, ttdt_file_event unregisters handler patterns for Get_Modified, Save, and Revert requests. If send is True, ttdt_file_event sends Saved or Reverted, respectively, in the_scope.

The context argument describes the environment to use. If context is not zero, messages created by ttdt_file_event inherit from context all contexts whose slotname begins with the characters ENV_.

RETURN VALUE

Upon successful completion, the ttdt_file_event function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_OVERFLOW
    The ToolTalk service has more active messages than it can handle. (The maximum number of active messages is implementation specific, but is at least 2000.)

TT_ERR_POINTER
    The patterns argument was NULL.

SEE ALSO

Tt/tttk.h - Tttttk(5), ttdt_file_join(3), ttdt_Get_Modified(3), ttdt_file_quit(3).